/**
 * ActClassComposition2.java
 *
 * File generated from the medication2::ActClassComposition2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassComposition2.
 *
 * 
 */

@XmlType(name = "ActClassComposition")
@XmlEnum
@XmlRootElement(name = "ActClassComposition2")
public enum ActClassComposition2 {
	@XmlEnumValue("COMPOSITION")
	COMPOSITION("COMPOSITION"),
	@XmlEnumValue("DOC")
	DOC("DOC"),
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE");
	
	private final String value;

    ActClassComposition2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassComposition2 fromValue(String v) {
        for (ActClassComposition2 c: ActClassComposition2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
